Package org.apache.tools.ant.taskdefs

## Class Jar.FilesetManifestConfig

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.taskdefs.Jar.FilesetManifestConfig

Enclosing class:
  Jar

    public static class Jar.FilesetManifestConfig
    extends EnumeratedAttribute

The manifest config enumerated type.

### Field Summary

### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`value`

### Constructor Summary

Constructors
`FilesetManifestConfig()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String[]` `getValues()` Get the list of valid strings.

### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FilesetManifestConfig

    public FilesetManifestConfig()

### Method Detail

#### getValues

    public java.lang.String[] getValues()

Get the list of valid strings.

Specified by:
  `getValues` in class `EnumeratedAttribute`
Returns:
  the list of values - "skip", "merge" and "mergewithoutmain"